Subject: bug#52480: 28.0.60; Emacs Zip-Archive open inside image file does not display, just empty buffer

From: "Christopher M. Miles" <[email-masked]>
Date: Fri, 17 Dec 2021 00:12:43 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: "Christopher M. Miles" <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 16 Dec 2021 14:03:44 +0800
>> 
>> > FWIW, I've made a ZIP file out of 180 images on my system, and I have
>> > no trouble displaying images from that ZIP file.
>> 
>> For reproducing problem. I attached the original zip file. I don't know whether problem is really
>> related with the amount of inside image files.
>
> The problem is that with that ZIP file I get an error related to the
> file names, which happens before Emacs gets a chance to display the
> file itself.  So the problem with the names masks the problem you are
> describing.
>
>> I searched some topics on pixiv.net, have not found ASCII-only links. Maybe you can install that
>> Chrome extension and download Pixiv.net manga link by yourself for testing.
>
> I don't use Chrome, so no, I couldn't do that.  Perhaps someone else
> could, or maybe someone else could try reproducing the problem on
> their system.
>
> Thanks.

I see, thanks for your help. Is there any method and idea about how to debug this problem? Can you
tell me how to do it? Thanks.

-- 
[ stardiviner ]
       I try to make every word tell the meaning that I want to express.

       Blog: https://stardiviner.github.io/
       IRC(freenode): stardiviner, Matrix: stardiviner
       GPG: F09F650D7D674819892591401B5DF1C95AE89AC3